> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://esendex.ferndocs.com/api-reference/requests/get-request-by-id/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://esendex.ferndocs.com/_mcp/server. # Get request by ID GET http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/requests/{requestId} Reference: https://esendex.ferndocs.com/api-reference/requests/get-request-by-id ## Authentication - `X-API-Key` header (required) — Your Esendex API key. ## Request ### Path parameters - `requestId` (string, required) ### Headers - `AccountReference` (string, optional) — Optional AccountReference header ## Response ### 200 OK - `data` (GetRequestByIdResponse, optional, nullable) - `errors` (list of ErrorDto, optional, nullable) ## Errors ### 404 Not Found Error Not Found - `errors` (list of ErrorDto, optional, nullable) ## Types ### GetRequestByIdResponse - `requestId` (string, optional) - `accountReference` (string, optional, nullable) - `userId` (string, optional) - `submittedBy` (string, optional, nullable) - `requestName` (string, optional, nullable) - `source` (string, optional, nullable) - `requestedOriginator` (string, optional, nullable) - `channel` (string, optional, nullable) - `messageType` (string, optional, nullable) - `characterSet` (string, optional, nullable) - `status` (string, optional, nullable) - `requestReason` (string, optional, nullable) - `messageCount` (GetRequestByIdResponseMessageCount, optional) - `messagePartCount` (GetRequestByIdResponseMessagePartCount, optional) - `sentMessageCount` (GetRequestByIdResponseSentMessageCount, optional) - `sentMessagePartCount` (GetRequestByIdResponseSentMessagePartCount, optional) - `failedMessageCount` (GetRequestByIdResponseFailedMessageCount, optional) - `failedMessagePartCount` (GetRequestByIdResponseFailedMessagePartCount, optional) - `destinationCodes` (list of string, optional) - `dynamicFieldsUsed` (boolean, optional) - `templateId` (string, optional, nullable) - `templateName` (string, optional, nullable) - `metadata` (map from string to string, optional, nullable) - `submittedAt` (datetime, optional) - `lastUpdateTimestamp` (datetime, optional) - `originalBody` (string, optional, nullable) - `deletedMessages` (GetRequestByIdResponseDeletedMessages, optional) - `contentType` (string, optional, nullable) - `attachmentUrl` (string, optional, nullable) - `workflowId` (string, optional, nullable) - `workflowName` (string, optional, nullable) - `automationId` (string, optional, nullable) - `automationFileId` (string, optional, nullable) ### ErrorDto - `errorCode` (string, required) - `errorMessage` (string, required) - `metadata` (map from string to string, optional, nullable) ### GetRequestByIdResponseMessageCount ### GetRequestByIdResponseMessagePartCount ### GetRequestByIdResponseSentMessageCount ### GetRequestByIdResponseSentMessagePartCount ### GetRequestByIdResponseFailedMessageCount ### GetRequestByIdResponseFailedMessagePartCount ### GetRequestByIdResponseDeletedMessages ## Examples **Response** ```json { "data": null, "errors": null } ``` **SDK Code** ```python import requests url = "http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/requests/requestId" headers = {"X-API-Key": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/requests/requestId'; const options = {method: 'GET', headers: {'X-API-Key': ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/requests/requestId" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("X-API-Key", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/requests/requestId") http = Net::HTTP.new(url.host, url.port) request = Net::HTTP::Get.new(url) request["X-API-Key"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/requests/requestId") .header("X-API-Key", "") .asString(); ``` ```php request('GET', 'http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/requests/requestId', [ 'headers' => [ 'X-API-Key' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/requests/requestId"); var request = new RestRequest(Method.GET); request.AddHeader("X-API-Key", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["X-API-Key": ""] let request = NSMutableURLRequest(url: NSURL(string: "http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/requests/requestId")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```